Subject: Re: [PATCH for-4.8 02/10] powerpc/mm: Convert early cpu/mmu feature check to use the new helpers

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Wed, 13 Jul 2016 19:36:06 +0530

Benjamin Herrenschmidt <[email-masked]> writes:

> On Wed, 2016-07-13 at 15:08 +0530, Aneesh Kumar K.V wrote:
>> This switch most of the early feature check to use the non static key
>> variant of the function. In later patches we will be switching
>> cpu_has_feature and mmu_has_feature to use static keys and we can use
>> them only after static key/jump label is initialized. Any check for
>> feature before jump label init should be done using this new helper.
>
> I'm not sure about that. This is converting way way way way more
> functions than is needed. Especially if Michael applies my series
> there will be very little code run before the patching, really only the
> MMU initialization....

Michael is also running into boot issues with the early init rewrite
patch series on G5. That is why I didn't rebase my patches on top of
that changes.

-aneesh